<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN" "http://hibernate.sourceforge.net/hibernate-mapping-3.0.dtd">

<hibernate-mapping default-lazy="false" auto-import="false">
	<import class="it.unisef.managesales.model.Firm" />
	<import class="it.unisef.managesales.model.Worker" />
	<class name="it.unisef.managesales.model.impl.FirmImpl" table="MS_Firm">
		<cache usage="read-write" />
		<id name="firmId" type="long">
			<generator class="assigned" />
		</id>
		<property name="companyId" type="com.liferay.portal.dao.orm.hibernate.LongType" />
		<property name="userId" type="com.liferay.portal.dao.orm.hibernate.LongType" />
		<property name="userName" type="com.liferay.portal.dao.orm.hibernate.StringType" />
		<property name="createDate" type="org.hibernate.type.TimestampType" />
		<property name="modifiedDate" type="org.hibernate.type.TimestampType" />
		<property name="groupId" type="com.liferay.portal.dao.orm.hibernate.LongType" />
		<property name="name" type="com.liferay.portal.dao.orm.hibernate.StringType" />
		<property name="address" type="com.liferay.portal.dao.orm.hibernate.StringType" />
	</class>
	<class name="it.unisef.managesales.model.impl.WorkerImpl" table="MS_Worker">
		<cache usage="read-write" />
		<id name="workerId" type="long">
			<generator class="assigned" />
		</id>
		<property name="companyId" type="com.liferay.portal.dao.orm.hibernate.LongType" />
		<property name="userId" type="com.liferay.portal.dao.orm.hibernate.LongType" />
		<property name="userName" type="com.liferay.portal.dao.orm.hibernate.StringType" />
		<property name="createDate" type="org.hibernate.type.TimestampType" />
		<property name="modifiedDate" type="org.hibernate.type.TimestampType" />
		<property name="groupId" type="com.liferay.portal.dao.orm.hibernate.LongType" />
		<property name="firstName" type="com.liferay.portal.dao.orm.hibernate.StringType" />
		<property name="lastName" type="com.liferay.portal.dao.orm.hibernate.StringType" />
		<property name="firmId" type="com.liferay.portal.dao.orm.hibernate.LongType" />
		<property name="employmentDate" type="org.hibernate.type.TimestampType" />
		<property name="code" type="com.liferay.portal.dao.orm.hibernate.StringType" column="code_" />
	</class>
</hibernate-mapping>